Bug 246921 - graphics/libheif: Update to 1.6.2
Summary: graphics/libheif: Update to 1.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/strukturag/libheif...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-06-01 21:00 UTC by Eirik Oeverby
Modified: 2020-06-05 09:53 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
diff -ruN libheif.org libheif (1.31 KB, text/plain)
2020-06-01 21:00 UTC, Eirik Oeverby
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eirik Oeverby 2020-06-01 21:00:07 UTC
Created attachment 215146 [details]
diff -ruN libheif.org libheif

Propose updating the graphics/libheif port to version 1.6.2, bringing support for higher dynamic range images (like those from later iPhone models).

Tested to work with Eye of MATE.
Comment 1 Sebastian Steinmetz 2020-06-02 08:26:41 UTC
Hi Erik,

I agree to update the port 1.6.2 are there any other features we have to offer as options? I'll have a look at the upstream doc tonight.

Thank you and kind regards,
Sebastian
Comment 2 Eirik Oeverby 2020-06-02 09:09:43 UTC
(In reply to Sebastian Steinmetz from comment #1)

I am not aware of anything - the current port solved my immediate problem, and seems like a very worthwhile update, as it brings support for images from the current-generation iOS devices.

I don't know through which web of dependencies eom was suddenly was able to open the images pulled from iCloud Photos, but updating libheif was what it took. Thumbnailing worked even with 1.6.0, but actually opening the images required 1.6.2.

graphics/vips (tested through graphics/photoflow) does not seem to be able to make use of the added capabilities (photoflow shows blank images).

/Eirik
Comment 3 Eirik Oeverby 2020-06-03 22:59:54 UTC
(In reply to Sebastian Steinmetz from comment #1)

Any news on this? Will it be committed soon?

/Eirik
Comment 4 Fernando Apesteguía freebsd_committer 2020-06-05 09:19:30 UTC
$ portlint -AC
WARN: /data/fernape_data/FreeBSD-repos/ports/head/graphics/libheif/pkg-descr: [3]: whitespace before end of line.
WARN: /data/fernape_data/FreeBSD-repos/ports/head/graphics/libheif/pkg-descr: [6]: whitespace before end of line.
WARN: /data/fernape_data/FreeBSD-repos/ports/head/graphics/libheif/pkg-descr: [7]: whitespace before end of line.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: "LICENSE_COMB" has to appear earlier.
0 fatal errors and 5 warnings found.

LICENSE_COMB is actually alright where it is.

Also, it is better if the file is in UNIX text format, without CRLF terminators ;-)
Comment 5 commit-hook freebsd_committer 2020-06-05 09:26:46 UTC
A commit references this bug:

Author: fernape
Date: Fri Jun  5 09:26:01 UTC 2020
New revision: 538000
URL: https://svnweb.freebsd.org/changeset/ports/538000

Log:
  graphics/libheif: Update to 1.6.2

  From ChangeLog: https://github.com/strukturag/libheif/releases/tag/v1.6.2

   * support for HEIX images (10, 12 bit and chroma 4:2:2)
   * security limits for maximum image sizes have been increased
   * gdk pixbuf loader fixes

  While here, fix pkg-descr portlint warning.

  PR:     246921
  Submitted by:   ltning-freebsd@anduin.net
  Reviewed by:    freebsd@sebastiansteinmetz.ch (maintainer)

Changes:
  head/graphics/libheif/Makefile
  head/graphics/libheif/distinfo
  head/graphics/libheif/pkg-descr
  head/graphics/libheif/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2020-06-05 09:53:33 UTC
Committed,

Thanks!